<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Examples of document generated by Antidoc add-on for LabVIEW project :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/antidoc-addon-lvproj/latest/doc-samples.html">
    <link rel="prev" href="what-is-documented.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:antidoc-addon-lvproj" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="antidoc-addon-lvproj" data-version="2.1">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">Antidoc add-on: LabVIEW project</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="general-info.html">General information</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="how-to.html">How to generate the document</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="what-is-documented.html">What is documented</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="doc-samples.html">Documentation showcase</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc add-on: LabVIEW project</span>
    <span class="version">2.1</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">Antidoc add-on: LabVIEW project</a></li>
    <li><a href="doc-samples.html">Documentation showcase</a></li>
  </ul>
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">2.1</button>
  <div class="version-menu">
    <a class="version is-current" href="doc-samples.html">2.1</a>
    <a class="version" href="../2.0/doc-samples.html">2.0</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/antidoc-document-types/labview-project/edit/docs/v2.1/docs/modules/ROOT/pages/doc-samples.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">Examples of document generated by Antidoc add-on for LabVIEW project</h1>
<div class="sect1">
<h2 id="dqmh-project"><a class="anchor" href="#dqmh-project"></a>DQMH project</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="cml-dqmh"><a class="anchor" href="#cml-dqmh"></a>CML DQMH&#174;</h3>
<div class="paragraph">
<p>The Continuous Measurement and Logging (CML) DQMH sample project is a variation of the NI QMH based CML project using DQMH modules instead of separate
Message Handling Loops.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This project is provided with the DQMH&#174; framework.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p><a href="_attachments/dqmh-cml/Project-Documentation.html" class="xref attachment">HTML version</a></p>
</div>
<div class="paragraph">
<p><a href="_attachments/dqmh-cml/Project-Documentation.pdf" class="xref attachment">PDF version</a></p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
The HTML version uses the default css provided by Asciidoctor<br>
The PDF version is customized with Wovalab marketing guidelines
</td>
</tr>
</table>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="oop"><a class="anchor" href="#oop"></a>OOP</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="board-testing"><a class="anchor" href="#board-testing"></a>Board testing</h3>
<div class="paragraph">
<p>This project demonstrates the benefits of LabVIEW Object-Oriented Programming when writing and maintaining test and measurement programs.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This project is available in the LabVIEW examples.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p><a href="_attachments/board-testing/Project-Documentation.html" class="xref attachment">HTML version</a></p>
</div>
</div>
<div class="sect2">
<h3 id="basic-interfaces"><a class="anchor" href="#basic-interfaces"></a>Basic interfaces</h3>
<div class="paragraph">
<p>This project demonstrates one of the uses of LabVIEW interfaces. It shows how an interface may be used to represent a common role in the system and then allow multiple classes to fulfill that role.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This project is available in the LabVIEW examples.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p><a href="_attachments/basic-interfaces/Project-Documentation.html" class="xref attachment">HTML version</a></p>
</div>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="what-is-documented.html">What is documented</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
